%RUNNING THE NESTED PARTITIONS ALGORITHM
tic;
BestNP = AlgorithmNP(Duration,AL,ARS,A1,A2,R,FB,FD,FP,MinBulk,...
MinDeck,MinPax,RndDist,AvgDist,SpreadDep); %Running the NP.
toc;
BestNPUnique = AlgorithmUnique(BestNP,AL,NoFromNP); %Removing all copies, so that the list consists only of unique entries.

%RUNNING THE GENETIC ALGORITHM
tic;
BestGA = AlgorithmGA3(Generations,NoPar,AL,A1,A2,BestNPUnique,...
    Duration,FB,FD,FP,MinBulk,MinDeck,MinPax,ARS,RndDist,AvgDist,SpreadDep); %Running the GA.
toc;
BestGAUnique = AlgorithmUnique(BestGA,AL,NoSim); %Removing all copies, so that the list consists only of unique entries.

%WRITING THE CHOSEN CONCEPTS TO THE CONCEPTS-FILE
Sim=[]; %Resetting the Sim-matrix.
Sim=BestGAUnique(:,1:AL); %Setting the solutions of the Sim-matrx equal to that of BestGAUnique.

FC= [BestGAUnique(:,1:AL); zeros(1,AL)]'; %Defining the solutions(Fleet Concepts) to be simulated, adding a zeros-concept for reference.

for SheetNum=1:1 %Removing previous entries from the concepts-file.
     [~, ~, Raw]=xlsread('ConceptsFile.xlsx','Ark1','B6:V15');
     [Raw{:, :}]=deal(NaN);
     xlswrite('ConceptsFile.xlsx', Raw, 'Ark1','B6:V15');
end
xlswrite('ConceptsFile.xlsx',FC,'Ark1','B6'); %Writing the new concepts to the concepts-file.

NoScen=75; %The number of scenarios simulated for each solution.
%75 until TC, then 250.
xlswrite('DataSet1.xlsx',NoScen,'Input','B38');


%NOW, RUN THE SIMULATIONS.
