%READING THE SIMULATION RESULTS
tic;
Results=csvread('ConceptsFile_solution.csv');
toc;

J=length(Results(:,1))/(NoSim+1); %11 byttes ut med antall konsepter som simuleres samtidig (inkludert zeros-konseptet)
i=0;j=0;
        TotalCost=zeros(NoSim,J);         ShipCost=zeros(NoSim,J);
        HelicopterCost=zeros(NoSim,J);    FracDeckCargoLifted=zeros(NoSim,J);   
        DeckCargoWaiting=zeros(NoSim,J);  FracBulkCargoLifted=zeros(NoSim,J); 
        BulkCargoWaiting=zeros(NoSim,J);  Voyages=zeros(NoSim,J);
        PSVidle=zeros(NoSim,J);           FracPaxLifted=zeros(NoSim,J); 
        PaxWaiting=zeros(NoSim,J);        Flights=zeros(NoSim,J);
        DeckCargoLifted=zeros(NoSim,J);
        BulkCargoLifted=zeros(NoSim,J);
        PaxLifted=zeros(NoSim,J);
    
%COMPUTING A MEASURE OF THE AVERAGE WEEKLY DEMAND FOR EACH SCENARIO
WDB=Results(J*NoSim+1:J*(NoSim+1),7)/((Duration/24)^2)*7*2; %Weekly demand bulk.
WDD=Results(J*NoSim+1:J*(NoSim+1),5)/((Duration/24)^2)*7*2; %Weekly demand deck.
WDP=Results(J*NoSim+1:J*(NoSim+1),11)/((Duration/24)^2)*7*2; %Weekly demand pax.

%TRANSLATING SIMULATION RESULTS INTO CONFIDENCE INTERVALS AND FRACTIONS FOR
%ADJUSTMENT
for i=1:NoSim %For every fleet concept
    for j=1:J %For every scenario
        TotalCost(i,j)=Results((i-1)*J+j,1);
        ShipCost(i,j)=Results((i-1)*J+j,2);
        HelicopterCost(i,j)=Results((i-1)*J+j,3);
        DeckCargoLifted(i,j)=Results((i-1)*J+j,4);
        FracDeckCargoLifted(i,j)=Results((i-1)*J+j,4)/WDD(j);
        DeckCargoWaiting(i,j)=Results((i-1)*J+j,5);
        BulkCargoLifted(i,j)=Results((i-1)*J+j,6);
        FracBulkCargoLifted(i,j)=Results((i-1)*J+j,6)/WDB(j);
        BulkCargoWaiting(i,j)=Results((i-1)*J+j,7);
        Voyages(i,j)=Results((i-1)*J+j,8);
        PSVidle(i,j)=Results((i-1)*J+j,9);
        PaxLifted(i,j)=Results((i-1)*J+j,10);
        FracPaxLifted(i,j)=Results((i-1)*J+j,10)/WDP(j);
        PaxWaiting(i,j)=Results((i-1)*J+j,11);
        Flights(i,j)=Results((i-1)*J+j,12);
    end
    
    Performance(i,:)=[prctile(TotalCost(i,:),C_r) prctile(FracBulkCargoLifted(i,:),(1-T_r(1))) ...
        prctile(FracDeckCargoLifted(i,:),(1-T_r(2))) prctile(FracPaxLifted(i,:),(1-T_r(3))) ...
        mean(BulkCargoWaiting(i,:)) mean(DeckCargoWaiting(i,:)) mean(PaxWaiting(i,:))];
    
    Fraction(i,:)=[prctile(FracBulkCargoLifted(i,:),(1-T_r(1)))/T_p(1) ...
        prctile(FracDeckCargoLifted(i,:),(1-T_r(2)))/T_p(2) ...
        prctile(FracPaxLifted(i,:),(1-T_r(3)))/T_p(3)];
end

%EVALUATING THE SIMULATION RESULTS
Sim(:,AL+1:AL+7)=Performance(1:length(BestGAUnique(:,1)),:); %Adding the simulation results to the solution-matrix.
i=1;
j=1;
Result=zeros(1,AL+7); 
for i=1:length(Sim(:,1))
    if Sim(i,AL+2)>T_p(1) && Sim(i,AL+3)>T_p(2) && Sim(i,AL+4)>T_p(3) %Minst 95% av scenariene leverte mer enn 90% av det de skulle.
        Result(j,:)=Sim(i,:);
        j=j+1;
    end
end

f=f+1;        
FB(f)=prctile(Fraction(:,1),50);
FD(f)=prctile(Fraction(:,2),50);
FP(f)=prctile(Fraction(:,3),50);   
    
if Result(1,AL+1)~=0 %If this simulation returned a legal set.             
      format long;
    Result=sortrows(Result,AL+1)
end

Sim
     